Package com.smartgwt.client.data

# Class DBCField

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.core.RefDataClass
com.smartgwt.client.data.Field
com.smartgwt.client.data.DBCField

All Implemented Interfaces:
  `HasHandlers`

Direct Known Subclasses:
  `DetailViewerField`, `ListGridField`

public class DBCField extends Field
Represents a field in a `DataBoundComponent`.

See Also:
  - `ListGridField`
  - `DetailViewerField`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.RefDataClass

  `id`

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DBCField()`
  `DBCField(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Name of this field.
  `static DBCField`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `DBCField`
  `setName(String name)`
  Name of this field.

  ### Methods inherited from class com.smartgwt.client.data.Field

  `getCanEdit, getCanExport, getEscapeHTML, getExportTitle, getMultiple, getPrimaryKey, getSortByField, getTitle, getValueMap, setCanEdit, setCanExport, setEscapeHTML, setExportTitle, setMultiple, setPrimaryKey, setRequired, setSortByField, setTitle, setValueMap`

  ### Methods inherited from class com.smartgwt.client.core.RefDataClass

  `getRef, getRef, internalSetID`

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DBCField

    public DBCField()

  - ### DBCField

    public DBCField(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static DBCField getOrCreateRef(JavaScriptObject jsObj)

  - ### setName

    public DBCField setName(String name)
    Name of this field. Must be unique within the `DataBoundComponent` as well as a valid JavaScript identifier. See `FieldName` for details and how to check for validity.

    The name of the field is also the property in each record which holds the record's value for the field.

    Overrides:
      `setName` in class `Field`
    Parameters:
      `name` - New name value. Default value is null
    Returns:
      `DBCField` instance, for chaining setter calls
    See Also:
      - `FieldName`

  - ### getName

    public String getName()
    Name of this field. Must be unique within the `DataBoundComponent` as well as a valid JavaScript identifier. See `FieldName` for details and how to check for validity.

    The name of the field is also the property in each record which holds the record's value for the field.

    Overrides:
      `getName` in class `Field`
    Returns:
      Current name value. Default value is null
    See Also:
      - `FieldName`